Summary: WWW server logfile analysis program
Name: analog
Version: 5.32
Release: 2BQ3
Source: http://www.analog.cx/analog-%{PACKAGE_VERSION}.tar.bz2
Source1: analog-bluequartz.cfg
Source2: analog.log
Patch0: analog-%{PACKAGE_VERSION}-patch
License: distributable
Group: Utilities
URL: http://www.analog.cx/
BuildRoot: /tmp/anlg-root
%description
WWW server logfile analysis program with lots of features. You should 
edit the /etc/analog.cfg and customize it for your webserver with the 
HOSTNAME and HOSTURL options. Perl is required for the html forms 
interface.  Apache is configured as the default web server.
%prep
%setup
%patch0 -p1
%build
NUMCPU=`grep [Bb]ogo[mM][iI][pP][sS] /proc/cpuinfo | wc -l`
make  -j${NUMCPU} DEFS='-DLANGDIR=\"/var/analog-%{PACKAGE_VERSION}/lang/\" \
	-DCONFIGDIR=\"/etc/\" \
	-DLOGSDIR=\"/var/log/httpd/\" \
	-DOUTDIR=\"/var/www/html/\" '

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/analog-%{PACKAGE_VERSION} \
	$RPM_BUILD_ROOT/usr/bin \
	$RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT/var/www/html/images \
	$RPM_BUILD_ROOT/var/www/html \
	$RPM_BUILD_ROOT/var/analog-%{PACKAGE_VERSION}/lang \
	$RPM_BUILD_ROOT/var/www/cgi-bin \
	$RPM_BUILD_ROOT/etc/logrotate.d
install -s analog $RPM_BUILD_ROOT/usr/bin/analog
install -d $RPM_BUILD_ROOT/var/analog-%{PACKAGE_VERSION}
install -d $RPM_BUILD_ROOT/var/analog-%{PACKAGE_VERSION}/lang
#install -m 644 analog.cfg $RPM_BUILD_ROOT/etc
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/analog.cfg
install -m 555 anlgform.pl $RPM_BUILD_ROOT/var/www/cgi-bin
install -m 644 anlgform.html $RPM_BUILD_ROOT/var/www/html
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/analog

cp images/* $RPM_BUILD_ROOT/var/www/html/images
cp lang/* $RPM_BUILD_ROOT/var/analog-%{PACKAGE_VERSION}/lang
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /var/analog-%{PACKAGE_VERSION}
%doc Licence.txt
%doc README.txt
%doc docs/
%doc examples/
%config /etc/analog.cfg
%config /etc/logrotate.d/analog
/usr/bin/analog
/var/www/cgi-bin/anlgform.pl
/var/www/html/anlgform.html
/var/www/html/images/
/var/analog-%{PACKAGE_VERSION}/lang/

%changelog
* Wed Jun 03 2008 Michael Stauber <mstauber@solarspeed.net> 5.32-2BQ3
- Rebuild for CentOS5

* Sun Dec 18 2005 Hisao SHIBUYA <shibuya@alpha.or.jp> 5.32-2BQ2
- modified spec file to support CentOS4 for Alpha by epe, EcureLinux, Inc.

* Thu May 13 2004 Hisao SHIBUYA <shibuya@alpha.or.jp> 5.32-2BQ1
- build for Blue Quartz 5100R

* Mon Dec 1 2003 Sitsofe Wheeler sits@nospam.org
- addeed %defattr(-,root,root) for building as non-root

* Thu Jun 6 2002 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- changed to use
- grep bogomips /proc/cpuinfo to determind $NUMCPU for ppc compatability

* Fri Mar 1 2002 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- changed to use
- %config(noreplace) /etc/analog.cfg

* Mon Nov 12 2001 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- different rpms for RH 7 & RH 6 style directories are gone
- I no longer have access to a RH 6 machine, and am not going to bother
- also, I'm using Yellow dog on my Mac, not Linux PPC so that will be
- switched as well.

* Tue Jun 26 2001 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- changed SRPM to use  -j${NUMCPU} in a make

* Mon May 7 2001 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- numerous changes for 5.0 release
- unified to one patch
- added RH 7 version

* Wed Feb 28 2001 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- rebuilt package on a RH 6.2 machine

* Wed Feb 13 2001 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- changed description of RPM
- removed old versions from rpm repository due to security fix

* Sat Jan 27 2001 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- fixed typo in rpm description
- change patch to use -p0 for rebuilding srpm correctly

* Fri Aug 25 2000 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- changed analog.cfg file to use full path of gzip

* Thu Jun 7 2000 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- changed to bzip2 format, cutting 150k off SRPM size
- fixed error in html form to conform to RPM installation defaults

* Fri Jun 2 2000 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- added examples to the docs directory

* Tue Apr 5 2000 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- moved images to /var/www/html/images so no reconfiguration of
- httpd.conf required with apache rpms

* Tue Apr 4 2000 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- fixed error in /var/analog directory

* Fri Dec 31 1999 Jackie Meese <jmeese@nospam.vt.nospam.edu>
- removed apache requirement
- no webserver requirement added either since not all web servers remember
- to use a Provides: tag when built

